package com.smcic.api.epg.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.smcic.api.epg.entity.Program;

import java.time.LocalDateTime;
import java.util.List;

@DS("tide")
public interface ProgramMapper extends BaseMapper<Program> {

    List<Program> listByChannel(Integer channelId, LocalDateTime startTime, LocalDateTime endTime);

    Program byStartAndChannel(Integer channelId, LocalDateTime startTime, String title);
}
